##
##  glimpse.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2015 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         glimpse
Summary:      Text Indexing and Searching Toolkit
URL:          http://webglimpse.net/
Vendor:       Free Software Foundation
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        BASE
Group:        Searching
License:      ISC
Version:      4.18.6
Release:      20150930

#   list of sources
Source0:      http://webglimpse.net/trial/glimpse-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20140101, make, flex, gcc
PreReq:       OpenPKG, openpkg >= 20140101

%description
    Glimpse is a very powerful indexing and query system for UNIX that
    allows you to search through all your files very quickly. It can be
    used by individuals for their personal file systems as well as by
    organizations for large data collections.

%track
    prog glimpse = {
        version   = %{version}
        url       = http://webglimpse.net/download.php
        regex     = Glimpse.(__VER__)
    }

%prep
    %setup -q

%build
    CC="%{l_cc} %{l_cflags -O} %{l_cppflags} %{l_ldflags} -Wno-implicit-function-declaration" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    %{l_bash} configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install prefix=$RPM_BUILD_ROOT%{l_prefix}
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/man
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 644 *.1 */*.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

